/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomHTMLFontElement_H__
#define __GdomHTMLFontElement_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomHTMLElement.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomHTMLFontElement GdomHTMLFontElement;
typedef struct _GdomHTMLFontElementClass GdomHTMLFontElementClass;


#define GDOM_TYPE_HTML_FONT_ELEMENT            (gdom_html_font_element_get_type())
#define GDOM_HTML_FONT_ELEMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_HTML_FONT_ELEMENT, GdomHTMLFontElement))
#define GDOM_HTML_FONT_ELEMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_HTML_FONT_ELEMENT, GdomHTMLFontElement)Class)
#define GDOM_IS_HTML_FONT_ELEMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_HTML_FONT_ELEMENT))
#define GDOM_IS_HTML_FONT_ELEMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_HTML_FONT_ELEMENT))
#define GDOM_HTML_FONT_ELEMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_HTML_FONT_ELEMENT, GdomHTMLFontElementClass))

typedef struct _GdomHTMLFontElementPrivate GdomHTMLFontElementPrivate;

struct _GdomHTMLFontElement {
    GdomHTMLElement parent_instance;
    GdomHTMLFontElementPrivate *priv;
};

struct _GdomHTMLFontElementClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_html_font_element_get_type (void);

G_END_DECLS

#endif /* __GdomHTMLFontElement_H__ */
